Subject: bug#28700: 25.2; Cannot kill Eshell buffer

From: Live System User <[email-masked]>
Date: Wed, 04 Oct 2017 18:12:36 -0400

Noam Postavsky <[email-masked]> writes:

> On Wed, Oct 4, 2017 at 3:50 PM, Live System User <[email-masked]> wrote:
>>   Can you give me step-by-step instructions?
>>
>>   BTW, is it possible to Edebug `kill-buffer` ?
>>
>>
>> kill-buffer is an interactive built-in function in ‘C source code’.
>
> Oops, sorry, it is indeed not possible to edebug C code. I don't
> suppose you've built your emacs with debug info so you could step with
> gdb?

  It's built by Fedora (RedHat).  I have debugging info but I belive
  the emacs binary might be stripped, if that matters.
  
>
> Do you know how to reproduce this situation starting from 'emacs -Q',
> or is it a one-off fluke?

  I dont know how to reproduce this with or without 'emacs -Q' but
  it has happened to me periodically so I decided to finally
  report it

  I'll leave the sessuon around as long as I can.

  I hope someone can help me to debug it.

  Thanks.